#
# spec file for package xapian-omega (Version 1.0.4)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           xapian-omega
Version:        1.0.4
Release:        1.2
#
License:        GPL
Group:          Productivity/Databases/Servers
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xapian-core-devel = %{version}
Requires:       xapian-core-libs = %{version}
%define contentdir /var/lib
%define logdir /var/log
#
Url:            http://www.xapian.org/
Source:         http://www.oligarchy.co.uk/xapian/%{version}/xapian-omega-%{version}.tar.gz
Patch:          xapian-omega-1.0.4_gcc43.patch
#
Summary:        A CGI search frontend and indexers built on Xapian.
%description
Omega is a CGI application which uses the Xapian Information Retrieval
library to index and search collections of documents.

%debug_package
%prep
%setup -q
%patch

%build
%configure --docdir=%{_docdir}/%{name}/
%{__make}

%install
%makeinstall docdatadir=%{_docdir}/%{name}/
# CGI application
%{__install} -Dd -m 0755 %{buildroot}/srv/www/cgi-bin/
%{__mv} %{buildroot}%{_libdir}/xapian-omega/bin/omega %{buildroot}/srv/www/cgi-bin/%{name}
# Create the data directory
%{__install} -Dd -m 0755 %{buildroot}%{contentdir}/omega/data
%{__install} -Dd -m 0755 %{buildroot}%{contentdir}/omega/cdb
%{__install} -Dd -m 0755 %{buildroot}%{logdir}/omega
# Default templates
%{__install} -Dd -m 0755 %{buildroot}%{contentdir}/omega/
%{__cp} -r templates/ %{buildroot}%{contentdir}/omega/templates
# Images
%{__install} -Dd -m 0755 %{buildroot}/srv/www/htdocs/icons/
%{__cp} -r images/ %{buildroot}/srv/www/htdocs/icons/omega
# Configuration file
%{__install} -Dd -m 0755 %{buildroot}/etc
install -D -m644 omega.conf %{buildroot}/etc/omega.conf
# Move the scripts to the right place
mv %{buildroot}/usr/share/omega %{buildroot}%{_datadir}/%{name}
# Move the docs to the right place
cp AUTHORS ChangeLog COPYING NEWS README TODO %{buildroot}%{_docdir}/%{name}/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/dbi2omega
%{_bindir}/omindex
%{_bindir}/scriptindex
%{_bindir}/htdig2omega
%{_bindir}/mbox2omega
%{contentdir}/omega
/srv/www/cgi-bin/xapian-omega
%{logdir}/omega
%dir /srv/www/htdocs/icons
/srv/www/htdocs/icons/omega
%{_datadir}/%{name}
%config(noreplace) /etc/omega.conf
%docdir %{_docdir}/%{name}
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_mandir}/man1/omindex.1*
%{_mandir}/man1/scriptindex.1*

%changelog
* Tue Nov 20 2007 mrueckert@suse.de
- add xapian-omega-1.0.4_gcc43.patch:
  add missing includes for gcc 4.3
* Mon Nov 19 2007 mrueckert@suse.de
- update to version 1.0.4
- re-enable debug package
* Sun Jun 24 2007 mrueckert@suse.de
- update to version 1.0.1
* Sun Apr  1 2007 mrueckert@suse.de
- update to version 0.9.10
* Sat Nov 11 2006 mrueckert@suse.de
- update to version 0.9.9
* Sat Nov  4 2006 mrueckert@suse.de
- update to version 0.9.8
